Bug 477211 - Unable to configure multiple xDSL connections because of identical PIDFILE /var/run/pppoe-adsl.pid
Unable to configure multiple xDSL connections because of identical PIDFILE /v...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-19 12:14 EST by Dr. Tilmann Bubeck
Modified: 2012-08-16 17:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:54:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dr. Tilmann Bubeck 2008-12-19 12:14:46 EST
Description of problem:
I tried to configure two parallel xDSL connections on Fedora 10 using system-config-network. Everything looks fine except, that I'm unable to start the second xDSL connection. The problem is in /etc/sysconfig/network-scripts/ifcfg-XXX. Both xDSL connections got the same PIDFILE entry in the config file. This means, that ifup will not start the second pppoe, because he checks for the (existing) pid file of the first connection.

Doing a "ifdown second-dsl" stops the first one, because of the same reason.


Version-Release number of selected component (if applicable):
1.5.93-2.fc10

How reproducible:
Always

Steps to Reproduce:
1. configure two xDSL connections
2. start the first sucessfully
3. the second does not start
  
Actual results:
it does not start

Expected results:
it should start

Additional info:
Comment 1 Bug Zapper 2009-11-18 05:31:26 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Dr. Tilmann Bubeck 2009-11-18 09:25:09 EST
Bug still exists and is reproducible under FC12.
Comment 3 Trevor Cordes 2009-12-14 12:33:59 EST
You could workaround this by manually modifying the ifcfg-pppX file and making each PID filename unique.  Of course, you have to do that manually and you can't then rerun the scn script as it would probably clobber it again.  I successfully have 2 DSL connections on the same box making those files manually.

99.9% of people will never have 2 DSL connections so this bug won't get much exposure ;-)
Comment 4 Bug Zapper 2010-11-04 07:36:32 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-05 02:04:12 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Dr. Tilmann Bubeck 2010-12-05 02:31:45 EST
Fedora 14 still contains the bug as can be seen here:

[root@t43 network-scripts]# grep -i pidfile *T*
ifcfg-T_OnlineTest1:PIDFILE=/var/run/pppoe-adsl.pid
ifcfg-TOnlineTest2:PIDFILE=/var/run/pppoe-adsl.pid
[root@t43 network-scripts]#
Comment 7 Fedora End Of Life 2012-08-16 17:54:17 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.